# `log` module
## Metrics
| Metric name | Labels | Description | 
| ----------- | ------ | ---- |
| openio_log_size_bytes_avg         | `service_addr`, `service`, `service_type`, `method`, `code`, `direction` | Average request size by method, code and direction |
| openio_log_size_bytes_min         | `service_addr`, `service`, `service_type`, `method`, `code`,, `direction` | Minimum request size by method, code and direction |
| openio_log_size_bytes_max         | `service_addr`, `service`, `service_type`, `method`, `code`,, `direction` | Minimum request size by method, code and direction|
| openio_log_size_bytes_total       | `service_addr`, `service`, `service_type`, `method`, `code`,, `direction` | Cumulative number of requests used to measure size |
| openio_log_duration_seconds_avg   | `service_addr`, `service`, `service_type`, `method`, `code`               | Average request duration by method and code |
| openio_log_duration_seconds_min   | `service_addr`, `service`, `service_type`, `method`, `code`               | Minimum request duration by method and code|
| openio_log_duration_seconds_max   | `service_addr`, `service`, `service_type`, `method`, `code`               | Minimum request duration by method and code|
| openio_log_duration_seconds_total | `service_addr`, `service`, `service_type`, `method`, `code`               | Cumulative number of requests used to measure duration |
| openio_log_requests_sum           | `service_addr`, `service`, `service_type`, `method`, `code`               | Number of requests during the interval by method and code |
| openio_log_requests_total         | `service_addr`, `service`, `service_type`, `method`, `code`               | Cumulative number of requests used to measure the number of requests |
### Sample
```
openio_log_size_bytes_total{host="node2",service_addr="172.30.0.112:6110",service="OPENIO-meta1-0",service_type="meta1",namespace="OPENIO",method="M1_LIST",code="200",direction="out"} 535.000000
openio_log_size_bytes_max{host="node2",service_addr="172.30.0.112:6110",service="OPENIO-meta1-0",service_type="meta1",namespace="OPENIO",method="M1_LIST",code="200",direction="out"} 188.000000
openio_log_size_bytes_avg{host="node2",service_addr="172.30.0.112:6110",service="OPENIO-meta1-0",service_type="meta1",namespace="OPENIO",method="M1_LIST",code="200",direction="out"} 179.794118
openio_log_size_bytes_min{host="node2",service_addr="172.30.0.112:6110",service="OPENIO-meta1-0",service_type="meta1",namespace="OPENIO",method="M1_LIST",code="200",direction="out"} 179.000000

openio_log_duration_seconds_avg{host="node2",service_addr="172.30.0.112:6007",service="OPENIO-oioswift-0",service_type="oioswift",namespace="OPENIO",method="POST",code="404"} 0.218400
openio_log_duration_seconds_min{host="node2",service_addr="172.30.0.112:6007",service="OPENIO-oioswift-0",service_type="oioswift",namespace="OPENIO",method="POST",code="404"} 0.218400
openio_log_duration_seconds_max{host="node2",service_addr="172.30.0.112:6007",service="OPENIO-oioswift-0",service_type="oioswift",namespace="OPENIO",method="POST",code="404"} 0.218400
openio_log_duration_seconds_total{host="node2",service_addr="172.30.0.112:6007",service="OPENIO-oioswift-0",service_type="oioswift",namespace="OPENIO",method="POST",code="404"} 1.000000


openio_log_requests_sum{host="node2",service_addr="172.30.0.112:6110",service="OPENIO-meta1-0",service_type="meta1",namespace="OPENIO",method="M1_LINK",code="481"} 2.000000
openio_log_requests_total{host="node2",service_addr="172.30.0.112:6110",service="OPENIO-meta1-0",service_type="meta1",namespace="OPENIO",method="M1_LINK",code="481"} 35.000000

```
